vue-jest versions and peer dependencies

The table below has a list of all versions of vue-jest compatible peers dependencies.

Version Peer Dependency Versions
1.0.0 - 1.4.0
  • vue @ ^2.x
  • vue-template-compiler @ ^2.x
2.0.0 - 2.6.0
  • babel-core @ ^6.25.0 || ^7.0.0-0
  • vue @ ^2.x
  • vue-template-compiler @ ^2.x
3.0.0 - 3.0.7
  • babel-core @ ^6.25.0 || ^7.0.0-0
  • vue @ ^2.x
  • vue-template-compiler @ ^2.x
4.0.0
  • @babel/core @ 7.x
  • jest @ 26.x
  • vue @ ^2.x
  • vue-template-compiler @ ^2.x
4.0.1
  • @babel/core @ 7.x
  • jest @ 26.x
  • vue @ ^2.x
  • vue-template-compiler @ ^2.x